Subject: bug#77853: closed (Re: bug#77853: 30.1; python-inferior-mode: completion regression)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 26 Apr 2025 12:02:03 +0000

Your bug report

#77853: 30.1; python-inferior-mode: completion regression

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
77853: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=77853
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#77853: 30.1; python-inferior-mode: completion regression
From: Eli Zaretskii <[email-masked]>
To: kobarity <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked]
Date: Sat, 26 Apr 2025 15:01:00 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Mon, 21 Apr 2025 23:10:15 +0900
> From: kobarity <[email-masked]>
> Cc: Eli Zaretskii <[email-masked]>,
> 	Christian Sattler <[email-masked]>,
> 	[email-masked]
> 
> Liu Hui wrote:
> > On Sun, Apr 20, 2025 at 11:12 PM kobarity <[email-masked]> wrote:
> > >
> > > I agree with this patch, but it failed to apply to both master and
> > > emacs-30 branches.  Is this patch for the latest branch?
> > 
> > Sorry, I didn't test it. Please try the attached patch.
> 
> Thanks a lot.  I have applied the patch and confirmed that it works as
> expected.

Thanks, installed on master, and closing the bug.

Subject: 30.1; python-inferior-mode: completion regression
From: Christian Sattler <[email-masked]>
To: [email-masked]
Date: Wed, 16 Apr 2025 21:59:01 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Completing a non-existing prefix attempts to complete it as a filename.

Steps to reproduce:

1. touch test.file
2. emacs -Q
3. M-x run-python
4. test
5. M-x python-shell-completion-complete-or-indent

Outcome: incorrectly completes to test.file.

This regression was introduced in commit 0b9c714. The function
python-shell-completion-at-point now returns nil instead of an empty
list of candidates. This causes the next element of
completion-at-point-functions list to be tried. This is
comint-completion-at-point and completes filenames, which does not
make sense in this context.